### Signal

# Gio Application::command-line

since: 2.0

#### Declaration

    gint
    command_line (
      GApplication* self,
      GApplicationCommandLine* command_line,
      gpointer user_data
    )

#### Description

The ::command-line signal is emitted on the primary instance when a commandline is not handled locally. See `g_application_run()` and the `GApplicationCommandLine` documentation for more information.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.0

#### Parameters

`command_line`

  Type: `GApplicationCommandLine`

  A `GApplicationCommandLine` representing the passed commandline.

  The data is owned by the caller of the function.

#### Return value

Type: `gint`

An integer that is set as the exit status for the calling process. See g_application_command_line_set_exit_status().